# Drugst.One template-django

This is a lightweight template for a django server running a python application that produces a list of genes and displays the result in a webpage. For the network visualization, the Drugst.One application is used. Feel free to adapt this project to your needs!

## Get started

### 1. Installation

Create a python environment callend '.env':

`python -m venv .env`


Enter the environment on Mac/Linux:

`source .env/bin/activate`

Enter the environment on Windows:

`.env/Scripts/activate`

Install all required python packages:

`pip install -r requirements.txt`


### 2. Start the development server

Change port according to your needs

`python manage.py runserver 0.0.0.0:8000`

### 3. Continue development

Read up more in the official django documentation on how to go from the development to the production server: https://docs.djangoproject.com/en/4.1/
